Reorder Rules
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/reorder \
--header 'Content-Type: application/json' \
--data '
{
"ruleIds": [
"<string>"
]
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/reorder"
payload = { "ruleIds": ["<string>"] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ruleIds: ['<string>']})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Space — Rules
Reorder Rules
Reorder the community rules for a space
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
rules
/
reorder
Reorder Rules
Sets the display order of all rules for a space by providing a new ordered array of rule IDs. Only space admins can reorder rules.
See also: useReorderRules
Path Parameters
UUID of the space.
Body Parameters
Ordered array of all rule UUIDs in the desired display order.
Response
Returns the full array of all rules for the space in the new order (same shape as List Rules).Error Responses
Invalid Rule IDs — 400
Invalid Rule IDs — 400
One or more provided IDs do not exist in this space.
{ "error": "Some rule IDs were not found in this space.", "code": "rule/invalid-ids", "missingIds": ["..."] }
⌘I

